Delete member
curl --request DELETE \
--url https://api.trycomp.ai/v1/people/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/people/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true,
"deletedMember": {
"id": "mem_abc123def456",
"name": "John Doe",
"email": "john.doe@company.com"
},
"authType": "api-key"
}{
"message": "Unauthorized"
}{
"message": "Member with ID mem_abc123def456 not found in organization org_abc123def456"
}{
"message": "Failed to delete member"
}People
Delete member | Comp AI API
Permanently removes a member from the organization. This action cannot be undone.
DELETE
/
v1
/
people
/
{id}
Delete member
curl --request DELETE \
--url https://api.trycomp.ai/v1/people/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/people/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true,
"deletedMember": {
"id": "mem_abc123def456",
"name": "John Doe",
"email": "john.doe@company.com"
},
"authType": "api-key"
}{
"message": "Unauthorized"
}{
"message": "Member with ID mem_abc123def456 not found in organization org_abc123def456"
}{
"message": "Failed to delete member"
}Authorizations
API key for authentication
Path Parameters
Member ID
Example:
"mem_abc123def456"
Query Parameters
Pass true to delete without running the offboarding flow
Was this page helpful?

